##' Human readable data presentation.
##'
##' \tabular{ll}{
##' Package: \tab dataview\cr
##' Type: \tab Package\cr
##' Version: \tab 1.3-1\cr
##' Date: \tab 2011-06-20\cr
##' License: \tab GPL\cr
##' LazyLoad: \tab yes\cr
##' Depends: \tab xtermStyle\cr
##' }
##'
##' This package provides clear, informative and colorfull ways of presenting
##' the contents of data.frame, list, environment etc. in the prompt.
##' 
##' Ideally this package should be used in terminals supporting xterm 256 colour
##' mode, e.g. the standard Ubuntu terminal. The Mac OS X terminal (as of Snow
##' Leopard) only support ANSI colour, which still works but doesn't look as
##' nice. On Windows systems no colouring is supported.
##' 
##' If the output of functions like \sQuote{whos} is a mess or somehow doesn't
##' look like it should check the help for the functions \sQuote{style} and
##' \sQuote{style.mode} of \sQuote{xtermStyle} package.
##'
##' @name dataview-package
##' @aliases dataview
##' @docType package
##' @title Human readable data presentation.
##' @author Christofer \enc{Bäcklin}{Backlin} \url{http://christofer.backlin.se/R/}
##' @keywords data presentation xterm terminal prompt
##' @seealso \code{\link{whos}}, \code{\link{entry.view}}, \code{\link{tree.view}},
##'   \code{\link{heat.view}}, \code{\link[xtermStyle]{style}}
{}

